Bug 964045 - longevity: Confusing error messages in posix.c:154:posix_lookup
longevity: Confusing error messages in posix.c:154:posix_lookup
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.0
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 02:56 EDT by Vijaykumar Koppad
Modified: 2015-03-23 03:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-05-17 02:56:32 EDT
Description of problem:
[2013-05-13 16:14:59.203989] E [posix-helpers.c:420:posix_pstat] 0-long1-posix: lstat failed on /bricks/long1_brick0/ and return value is 5 instead of -1. Please see dmesg output to check whether the failure is due to backend filesystem issue
[2013-05-13 16:14:59.204065] E [posix.c:154:posix_lookup] 0-long1-posix: lstat on /bricks/long1_brick0/ failed: Success
[2013-05-13 16:14:59.204117] E [posix-helpers.c:420:posix_pstat] 0-long1-posix: lstat failed on /bricks/long1_brick0/ and return value is 5 instead of -1. Please see dmesg output to check whether the failure is due to backend filesystem issue

"lstat on /bricks/long1_brick0/ failed: Success"  this is confusing log message.



Version-Release number of selected component (if applicable):glusterfs-3.3.0.7rhs-1.el6rhs.x86_64


How reproducible: It was happened in longevity test-run. 

Steps to Reproduce:

It was observed while debugging for the Bug 964038 

(https://bugzilla.redhat.com/show_bug.cgi?id=964038)
  

Actual results: failed: Success was logged


Expected results: It should be something logical. 


Additional info:
Comment 3 Vivek Agarwal 2015-03-23 03:39:48 EDT
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html
Comment 4 Vivek Agarwal 2015-03-23 03:40:25 EDT
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html

Note You need to log in before you can comment on or make changes to this bug.